Subject: LDP error code

From: "Igor Achkinazi" <[email-masked]>
Date: Mon, 18 Feb 2002 19:39:36 +0000

Hi,

What error code should be sent by LDP in case incoming Label Request or 
Unsolicited Label Mapping is rejected by some internal policy decision? In 
section 3.9 rfc3036 there are 3 status codes for response to incoming Label 
Request in LDP: No Route, No Label Resources, Label Resources Available, 
plus 8 CR-LDP specific codes described in rfc3212. There are no codes at all 
in response to Unsolicited Label Mapping that can be actually released just 
using regular Label Release message. I still cannot find a status code to 
reject unwanted Label Request.

Thanks a lot,
Igor

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

---

From: Eric Gray <[email-masked]>
Date: Mon, 18 Feb 2002 14:56:38 -0500

Igor,

    A quick answer:  You can release an unsolicited Mapping
without providing a status code.  If the local LSR peer is not
asking for the label mapping, then rejecting it for local policy
reasons does not have to look dfferent then releasing it for any
other reason.  The concept of 'unwanted Label Request' is an
interesting one - which probably means you need to give some
sort of example.

You wrote:

> Hi,
>
> What error code should be sent by LDP in case incoming Label Request 
> or Unsolicited Label Mapping is rejected by some internal policy 
> decision? In section 3.9 rfc3036 there are 3 status codes for response 
> to incoming Label Request in LDP: No Route, No Label Resources, Label 
> Resources Available, plus 8 CR-LDP specific codes described in 
> rfc3212. There are no codes at all in response to Unsolicited Label 
> Mapping that can be actually released just using regular Label Release 
> message. I still cannot find a status code to reject unwanted Label 
> Request.
>
> Thanks a lot,
> Igor
>
>

-- 
--
Eric Gray (mailto:[email-masked])
http://www.mindspring.com/~ewgray